#!/bin/bash

# Load an exported *.json Handbrake preset file
PRESET='--preset-import-file'
PRESETFILE='x265_10bit_crf23_slow_pt_audio_or_op192.json'
PRESETNAME=$(cat $PRESETFILE | jq '.PresetList[].PresetName' | cut -d'"' -f 2)

# Set the source directory as the current directory
SRC="."

# Set the destination directory for encodes
DEST="./encoded"

# Check if the DEST folder exists, create it if it doesn't
[ -e $DEST ] || mkdir $DEST

# Set an output filename suffix for the encodes
OUTPUTSUFFIX='_x265_encode'

# Set an output file extension
EXT='mkv'

# Find files in the current dir and encode with HandbrakeCLI
IFS=$'\n'
for INPUTFILE in `find . -type f -execdir basename {} ';'`; do
    OUTPUTFILE=${INPUTFILE%.*}
    HandBrakeCLI "$PRESET" "$PRESETFILE" -Z "$PRESETNAME" -i "$SRC"/"$INPUTFILE" -o "$DEST"/"$OUTPUTFILE""$OUTPUTSUFFIX"."$EXT"
done
